Bug 183190 - Buffer overflow in strace
Buffer overflow in strace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 06:33 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.5.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 04:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix buffer overflow (812 bytes, patch)
2006-02-27 06:33 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2006-02-27 06:33:48 EST
Description of problem:
Under certain circumstances strace will overflow a buffer


Version-Release number of selected component (if applicable):
strace-4.5.11-1

How reproducible:
You need to be strace'ing a suitably program.
But I am not going to suplly one because you only need to read the code to
discover the vulnerability.

Steps to Reproduce:
1.vi strace-4.5.11/desc.c
2.536G
3.
  
Actual results:
You say "How did this code get out the door".

Expected results:
You have nothing to say.

Additional info:
Comment 1 JW 2006-02-27 06:33:48 EST
Created attachment 125307 [details]
Patch to fix buffer overflow
Comment 2 Dmitry V. Levin 2006-03-28 18:12:27 EST
This bug was fixed right after 4.5.11 release.
Comment 3 Roland McGrath 2006-04-03 04:42:25 EDT
Fixed in fc4 update and in fc5.

Note You need to log in before you can comment on or make changes to this bug.